---
lang: en
title: 'API docs: context.describeinjectedarguments'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.describeinjectedarguments.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [describeInjectedArguments](./context.describeinjectedarguments.md)

## describeInjectedArguments() function

Return an array of injection objects for parameters

**Signature:**

```typescript
export declare function describeInjectedArguments(target: Object, method?: string): Readonly<Injection>[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

target


</td><td>

Object


</td><td>

The target class for constructor or static methods, or the prototype for instance methods


</td></tr>
<tr><td>

method


</td><td>

string


</td><td>

_(Optional)_ Method name, undefined for constructor


</td></tr>
</tbody></table>
**Returns:**

Readonly&lt;[Injection](./context.injection.md)<!-- -->&gt;\[\]


